import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Bacteria fload along in the Road. They are bad. Best to destroy
 * them if you can.
 * 
 * @author Michael Kölling
 * @version 0.1
 */
public class Gas extends Actor
{
    int speed;
    /**
     * Constructor. Nothing to do so far.
     */
    public Gas()
    {
        speed = Greenfoot.getRandomNumber(3) + 1;
    }

    /**
     * Float along the Road, slowly rotating.
     */
    public void act() 
    {
        setLocation(getX()-speed, getY());
        turn(1);

        if (getX() == 0) 
        {
            Road Road = (Road)getWorld();
            Road.addScore(-15);
            Road.removeObject(this);
            
        }
    }
}
