import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The Lining are objects at the edge of the vein.
 * 
 * @author Michael Kölling
 * @version 0.1
 */
public class GuardRailBottom extends Actor
{
    /**
     * Act - Move 1 cell to the right until end of the world is reached, then disappear.
     */
    public void act() 
    {
        setLocation(getX()-1, getY());
        
         if (getX() == 0) 
        {
            getWorld().removeObject(this);
        } 
    
}
}
